Edit creditor profile
curl --request GET \
--url https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/edit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/edit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 22,
"row_type": "creditor_profile",
"profile_status": {
"value": "consumer_prospect",
"label": "Consumer Prospect",
"short_label": "CP"
},
"form": {
"company_name": "Editable Capital",
"company_phone": "8186017451",
"company_phone_label": "(818) 601-7451",
"company_email": "editable@example.test",
"company_address_1": "123 Funding Street",
"company_address_2": "Suite 5",
"company_city": "Los Angeles",
"company_state": "CA",
"company_zip": "90001",
"company_url": "https://editable.example.test"
},
"contacts": [
{
"id": 3,
"first_name": "Nancy",
"last_name": "Williams",
"email": "nancy@example.test",
"phone": "8186011111",
"phone_label": "(818) 601-1111"
}
],
"max_contacts": 3,
"can_add_contact": true,
"can_edit_profile": true
}
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}{
"message": "Sorry, you cannot edit the profile of an active company."
}Edit creditor profile
Return editable creditor profile form data and contacts. Active company-backed profiles return a conflict response because they are read-only.
GET
/
manage-creditor-profiles
/
{creditorProfile}
/
edit
Edit creditor profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Creditor profile ID from the manage creditors list.
Response
Editable creditor profile form data returned.
Show child attributes
Show child attributes
Last modified on July 19, 2026
Was this page helpful?
⌘I

